commit:     6bd906fe17543def3ee9190fe1552dc54f0379fc
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 22:51:09 2023 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 22:55:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bd906fe

app-text/xapian-omega: bump

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 app-text/xapian-omega/Manifest                   |  1 +
 app-text/xapian-omega/xapian-omega-1.4.23.ebuild | 43 ++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-text/xapian-omega/Manifest b/app-text/xapian-omega/Manifest
index 68dfdea871c6..fa62e5c7d98b 100644
--- a/app-text/xapian-omega/Manifest
+++ b/app-text/xapian-omega/Manifest
@@ -1 +1,2 @@
 DIST xapian-omega-1.4.22.tar.xz 570476 BLAKE2B 
05bd5c8135870b3a2058bcd032da9609cac7d0b1a07b31cb84f8fdf175bb87d22acd9beb392f93ebf1f23e4ebf4d23fbe12b70063628d318012b71246d14f26b
 SHA512 
460120fa2c76ad99f818f4183c4ded92eaa7f01a9dd782af1e93faf11caf2479053f45a9e9f0a602bf31631dba8be2d2c18bba28340c578126e8658ad4937c19
+DIST xapian-omega-1.4.23.tar.xz 571596 BLAKE2B 
fee64cf73a7bc8e6951c3555f1139bec8c94102b00ccf3a0a69c5037002f122f0d1688a798967f997f85d6c21bd69d72758168408d95159a7442bc46050fe915
 SHA512 
2137972cebb10315f35024c8a5e179ce082eab777e4fd795ba6700eeab0d77ec49b6e06d104222e77824898c25c1717d346564d59e5f349360fec89476e3ee4f

diff --git a/app-text/xapian-omega/xapian-omega-1.4.23.ebuild 
b/app-text/xapian-omega/xapian-omega-1.4.23.ebuild
new file mode 100644
index 000000000000..a9a75d694991
--- /dev/null
+++ b/app-text/xapian-omega/xapian-omega-1.4.23.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+HOMEPAGE="https://xapian.org/";
+DESCRIPTION="An application built on Xapian, consisting of indexers and a CGI 
search frontend"
+SRC_URI="https://oligarchy.co.uk/xapian/${PV}/xapian-omega-${PV}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+DEPEND="
+       dev-lang/perl
+       dev-libs/libpcre2:=
+       ~dev-libs/xapian-${PV}:0/30
+       sys-apps/file
+       sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX="${EPREFIX}" install
+
+       # Protect /etc/omega.conf
+       echo "CONFIG_PROTECT=\"/etc/omega.conf\"" > "${T}"/20xapian-omega || die
+       doenvd "${T}"/20xapian-omega
+       dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
+
+       # Directory containing Xapian databases:
+       keepdir /var/lib/omega/data
+
+       # Directory containing OmegaScript templates:
+       keepdir /var/lib/omega/templates
+       mv "${S}"/templates/* "${ED}"/var/lib/omega/templates || die
+
+       # Directory to write Omega logs to:
+       keepdir /var/log/omega
+
+       # Directory containing any cdb files for the $lookup OmegaScript 
command:
+       keepdir /var/lib/omega/cdb
+}

Reply via email to